org.apache.commons.jelly.util

## Class SAXParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.xml.sax.SAXException
      - - org.xml.sax.SAXParseException
        - - org.apache.commons.jelly.util.SAXParseException

All Implemented Interfaces:
  java.io.Serializable

    public class SAXParseException
    extends org.xml.sax.SAXParseException

`SAXParseException` with a bug fix to support exception nesting.

Author:
  Kohsuke Kawaguchi
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SAXParseException(java.lang.String message, org.xml.sax.Locator locator)`
`SAXParseException(java.lang.String message, org.xml.sax.Locator locator, java.lang.Exception e)`
`SAXParseException(java.lang.String message, java.lang.String publicId, java.lang.String systemId, int lineNumber, int columnNumber)`
`SAXParseException(java.lang.String message, java.lang.String publicId, java.lang.String systemId, int lineNumber, int columnNumber, java.lang.Exception e)`

### Method Summary

Methods
`java.lang.Throwable` `getCause()`
`java.lang.String` `toString()`

### Methods inherited from class org.xml.sax.SAXParseException

`getColumnNumber, getLineNumber, getPublicId, getSystemId`

### Methods inherited from class org.xml.sax.SAXException

`getException, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SAXParseException

    public SAXParseException(java.lang.String message,
                     org.xml.sax.Locator locator)

#### SAXParseException

    public SAXParseException(java.lang.String message,
                     org.xml.sax.Locator locator,
                     java.lang.Exception e)

#### SAXParseException

    public SAXParseException(java.lang.String message,
                     java.lang.String publicId,
                     java.lang.String systemId,
                     int lineNumber,
                     int columnNumber)

#### SAXParseException

    public SAXParseException(java.lang.String message,
                     java.lang.String publicId,
                     java.lang.String systemId,
                     int lineNumber,
                     int columnNumber,
                     java.lang.Exception e)

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Overrides:
  `getCause` in class `org.xml.sax.SAXException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.xml.sax.SAXParseException`